/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\Summer2008\Magincia Mystery\Search for the Source\BlackrockElementalChunk.cs
Lines of code: 35
***********************************************************/


using System;
using Server;
using Server.Targeting;

namespace Server.Items
{
	public class BlackrockElementalChunk: Item
	{
	
		[Constructable]
		public BlackrockElementalChunk() : base( 6004 )
		{
			Hue = 1175;
			Name = "A chunk of rock from a slain blackrock elemental";
			Weight = 15.0;
			LootType=LootType.Blessed;			
		}

		public BlackrockElementalChunk( Serial serial ) : base( serial )
		{
		}
		
		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			list.Add(1060658,"Magincia Mystery Event 2008 \t{0}","(Decoration)");
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}